import java.util.*;
import java.awt.*;
import java.awt.event.*;


class AnimalList extends List implements ItemListener {

	/**
	 *  A reference to the ZooView so that the appropriate method
	 *  can be called when a list item is selected.
	 */
	private ZooView zooView_;
	private ZooView zooView() { return zooView_; }
	private void zooView( ZooView aZooView ) { zooView_ = aZooView; }

    public AnimalList(ZooView aZooView){
        this.zooView( aZooView );
        this.initialize();
    }

    private void initialize(){
        this.addItemListener(this);
        this.setSize (150,110);
        this.setLocation(20,285 );
    }

    public void itemStateChanged(ItemEvent ie){

        this.zooView().animalListClicked(this.getSelectedItem());

    }

    public void resetItems(Vector newItems){
        this.clear();
        Enumeration enum = StringSorter.sort(newItems).elements();
        while( enum.hasMoreElements() ){
            this.addItem((String) enum.nextElement());
        }
    }


}
